.. pyroute2 documentation master file

Pyroute2 netlink library
========================

General information
-------------------

.. toctree::
    :maxdepth: 2

    general
    changelog
    report

Usage
-----

.. toctree::
    :maxdepth: 2

    usage
    iproute
    ndb
    wiset
    ipset
    netns
    wireguard

Howtos
------

.. toctree::
    :maxdepth: 2

    mpls
    debug

Man pages
---------

.. toctree::
   :maxdepth: 1

   pyroute2-cli
   pyroute2-dhcp-client

Development
-----------

.. toctree::
    :maxdepth: 2

    devcontribute
    arch
    netlink
    nlsocket

Experimental
------------

.. toctree::
   :maxdepth: 1

   remote

Deprecated
----------

.. toctree::
   :maxdepth: 1

   ipdb_toc

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`

